Skip to main content

List Transfers

GET /v1/transfers

Returns transfers for a specific account. Supports cursor pagination.

Query parameters

ParameterRequiredDefaultDescription
account_idYesAccount ID to list transfers for
limitNo20Max results (1-100)
cursorNoPagination cursor from previous response

Response 200

{
"data": {
"tenant_id": "f714f6af-...",
"transfers": [
{
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"debit_account_id": "ba9755d7e835cdeea6bca803721c7eba",
"credit_account_id": "19d64e32e2da3c3dbd1ebaba9860ab9",
"amount": 50000,
"ledger": 1001,
"code": 100,
"status": "posted",
"created_at": "2026-04-06T22:50:00Z"
}
]
},
"meta": {
"limit": 20,
"next_cursor": "1712345678000000000",
"has_more": false
}
}

Pagination

When has_more is true, pass next_cursor to get the next page.

GET /v1/transfers?account_id=...&cursor=1712345678000000000